package com.qmth.sop.common.enums;

/**
 * @Description: 学历枚举
 * @Author: CaoZixuan
 * @Date: 22023-08-14
 */
public enum EducationEnum {
    BACHELOR_DEGREE("本科及以上"),
    JUNIOR_COLLEGE("大专"),
    HIGH_SCHOOL("高中"),
    MIDDLE_SCHOOL("初中");

    EducationEnum(String title) {
        this.title = title;
    }

    private final String title;

    public String getTitle() {
        return title;
    }

    public static EducationEnum convertTitleToEnum(String title) {
        EducationEnum res = null;
        for (EducationEnum value : EducationEnum.values()) {
            if (title.equals(value.getTitle())) {
                res = value;
            }
        }
        return res;
    }
}